AHRIMAN(1)

NAME
ahriman - ArcH linux ReposItory MANager

SYNOPSIS
[0m[1;35mahriman[0m [[32m-h[0m] [[32m-a [33mARCHITECTURE[0m] [[32m-c [33mCONFIGURATION[0m] [[36m--force[0m] [[32m-l [33mLOCK[0m] [[36m--log-handler [33m{console,syslog,journald}[0m] [[32m-q[0m] [[36m--report | --no-report[0m] [[32m-r [33mREPOSITORY[0m] [[36m--unsafe[0m] [[32m-V[0m] [[36m--wait-timeout [33mWAIT_TIMEOUT[0m] [32m{add,aur-search,check,clean,config,config-validate,copy,daemon,help,help-commands-unsafe,help-updates,help-version,init,key-import,package-add,package-changes,package-changes-remove,package-copy,package-remove,package-status,package-status-remove,package-status-update,package-update,patch-add,patch-list,patch-remove,patch-set-add,rebuild,remove,remove-unknown,repo-backup,repo-check,repo-clean,repo-config,repo-config-validate,repo-create-keyring,repo-create-mirrorlist,repo-daemon,repo-init,repo-rebuild,repo-remove-unknown,repo-report,repo-restore,repo-setup,repo-sign,repo-statistics,repo-status-update,repo-sync,repo-tree,repo-triggers,repo-update,report,run,search,service-clean,service-config,service-config-validate,service-key-import,service-repositories,service-run,service-setup,service-shell,service-tree-migrate,setup,shell,sign,status,status-update,sync,update,user-add,user-list,user-remove,version,web,web-reload} ...[0m

DESCRIPTION
ArcH linux ReposItory MANager

OPTIONS

-a ARCHITECTURE, --architecture ARCHITECTURE
    filter by target architecture

-c CONFIGURATION, --configuration CONFIGURATION
    configuration path

--force
    force run, remove file lock

-l LOCK, --lock LOCK
    lock file

--log-handler {console,syslog,journald}
    explicit log handler specification. If none set, the handler will be guessed from environment

-q, --quiet
    force disable any logging

--report, --no-report
    force enable or disable reporting to web service

-r REPOSITORY, --repository REPOSITORY
    filter by target repository

--unsafe
    allow to run ahriman as non-ahriman user. Some actions might be unavailable

-V, --version
    show program's version number and exit

--wait-timeout WAIT_TIMEOUT
    wait for lock to be free. Negative value will lead to immediate application run even if there is lock file. In case of zero value, the application will wait infinitely

COMMAND

ahriman aur-search
    search for package

ahriman help
    show help message

ahriman help-commands-unsafe
    list unsafe commands

ahriman help-updates
    check for service updates

ahriman help-version
    application version

ahriman package-add
    add package

ahriman package-changes
    get package changes

ahriman package-changes-remove
    remove package changes

ahriman package-copy
    copy package from another repository

ahriman package-remove
    remove package

ahriman package-status
    get package status

ahriman package-status-remove
    remove package status

ahriman package-status-update
    update package status

ahriman patch-add
    add patch for PKGBUILD function

ahriman patch-list
    list patch sets

ahriman patch-remove
    remove patch set

ahriman patch-set-add
    add patch set

ahriman repo-backup
    backup repository data

ahriman repo-check
    check for updates

ahriman repo-create-keyring
    create keyring package

ahriman repo-create-mirrorlist
    create mirrorlist package

ahriman repo-daemon
    run application as daemon

ahriman repo-rebuild
    rebuild repository

ahriman repo-remove-unknown
    remove unknown packages

ahriman repo-report
    generate report

ahriman repo-restore
    restore repository data

ahriman repo-sign
    sign packages

ahriman repo-statistics
    repository statistics

ahriman repo-status-update
    update repository status

ahriman repo-sync
    sync repository

ahriman repo-tree
    dump repository tree

ahriman repo-triggers
    run triggers

ahriman repo-update
    update packages

ahriman service-clean
    clean local caches

ahriman service-config
    dump configuration

ahriman service-config-validate
    validate system configuration

ahriman service-key-import
    import PGP key

ahriman service-repositories
    show repositories

ahriman service-run
    run multiple commands

ahriman service-setup
    initial service configuration

ahriman service-shell
    invoke python shell

ahriman service-tree-migrate
    migrate repository tree

ahriman user-add
    create or update user

ahriman user-list
    user known users and their access

ahriman user-remove
    remove user

ahriman web
    web server

ahriman web-reload
    reload configuration

COMMAND 'ahriman aur-search'
[1;34musage: [0m[1;35mahriman aur-search[0m [[32m-h[0m] [[32m-e[0m] [[36m--info | --no-info[0m]
                        [[36m--sort-by [33m{description,first_submitted,id,last_modified,maintainer,name,num_votes,out_of_date,package_base,package_base_id,popularity,repository,submitter,url,url_path,version}[0m]
                        [32msearch [search ...][0m search for package in AUR using API

search
    search terms, can be specified multiple times, the result will match all terms

OPTIONS 'ahriman aur-search'

-e, --exit-code
    return non-zero exit status if result is empty

--info, --no-info
    show additional package information

--sort-by {description,first_submitted,id,last_modified,maintainer,name,num_votes,out_of_date,package_base,package_base_id,popularity,repository,submitter,url,url_path,version}
    sort field by this field. In case if two packages have the same value of the specified field, they will be always sorted by name

COMMAND 'ahriman help'
[1;34musage: [0m[1;35mahriman help[0m [[32m-h[0m] [32m[subcommand][0m show help message for application or command and exit

subcommand
    show help message for specific command

COMMAND 'ahriman help-commands-unsafe'
[1;34musage: [0m[1;35mahriman help-commands-unsafe[0m [[32m-h[0m] [32m[subcommand ...][0m list unsafe commands as defined in default args

subcommand
    instead of showing commands, just test command line for unsafe subcommand and return 0 in case if command is safe and 1 otherwise

COMMAND 'ahriman help-updates'
[1;34musage: [0m[1;35mahriman help-updates[0m [[32m-h[0m] [[32m-e[0m] request AUR for current version and compare with current service version

OPTIONS 'ahriman help-updates'

-e, --exit-code
    return non-zero exit code if updates available

COMMAND 'ahriman help-version'
[1;34musage: [0m[1;35mahriman help-version[0m [[32m-h[0m] print application and its dependencies versions

COMMAND 'ahriman package-add'
[1;34musage: [0m[1;35mahriman package-add[0m [[32m-h[0m] [[36m--changes | --no-changes[0m] [[36m--dependencies | --no-dependencies[0m] [[32m-e[0m]
                        [[36m--increment | --no-increment[0m] [[32m-n[0m] [[32m-y[0m]
                        [[32m-s [33m{auto,archive,aur,directory,local,remote,repository}[0m] [[32m-u [33mUSERNAME[0m] [[32m-v [33mVARIABLE[0m]
                        [32mpackage [package ...][0m add existing or new package to the build queue

package
    package source (base name, path to local files, remote URL)

OPTIONS 'ahriman package-add'

--changes, --no-changes
    calculate changes from the latest known commit if available

--dependencies, --no-dependencies
    process missing package dependencies

-e, --exit-code
    return non-zero exit status if result is empty

--increment, --no-increment
    increment package release (pkgrel) version on duplicate

-n, --now
    run update function after

-y, --refresh
    download fresh package databases from the mirror before actions, -yy to force refresh even if up to date

-s {auto,archive,aur,directory,local,remote,repository}, --source {auto,archive,aur,directory,local,remote,repository}
    explicitly specify the package source for this command

-u USERNAME, --username USERNAME
    build as user

-v VARIABLE, --variable VARIABLE
    apply specified makepkg variables to the next build

COMMAND 'ahriman package-changes'
[1;34musage: [0m[1;35mahriman package-changes[0m [[32m-h[0m] [[32m-e[0m] [32mpackage[0m retrieve package changes stored in database

package
    package base

OPTIONS 'ahriman package-changes'

-e, --exit-code
    return non-zero exit status if result is empty

COMMAND 'ahriman package-changes-remove'
[1;34musage: [0m[1;35mahriman package-changes-remove[0m [[32m-h[0m] [32mpackage[0m remove the package changes stored remotely

package
    package base

COMMAND 'ahriman package-copy'
[1;34musage: [0m[1;35mahriman package-copy[0m [[32m-h[0m] [[32m-e[0m] [[36m--remove[0m] [32msource[0m [32mpackage [package ...][0m copy package and its metadata from another repository

source
    source repository name

package
    package base

OPTIONS 'ahriman package-copy'

-e, --exit-code
    return non-zero exit status if result is empty

--remove
    remove package from the source repository after

COMMAND 'ahriman package-remove'
[1;34musage: [0m[1;35mahriman package-remove[0m [[32m-h[0m] [32mpackage [package ...][0m remove package from the repository

package
    package name or base

COMMAND 'ahriman package-status'
[1;34musage: [0m[1;35mahriman package-status[0m [[32m-h[0m] [[36m--ahriman[0m] [[32m-e[0m] [[36m--info | --no-info[0m] [[32m-s [33m{unknown,pending,building,failed,success}[0m]
                        [32m[package ...][0m request status of the package

package
    filter status by package base

OPTIONS 'ahriman package-status'

--ahriman
    get service status itself

-e, --exit-code
    return non-zero exit status if result is empty

--info, --no-info
    show additional package information

-s {unknown,pending,building,failed,success}, --status {unknown,pending,building,failed,success}
    filter packages by status

COMMAND 'ahriman package-status-remove'
[1;34musage: [0m[1;35mahriman package-status-remove[0m [[32m-h[0m] [32mpackage [package ...][0m remove the package from the status page

package
    remove specified packages from status page

COMMAND 'ahriman package-status-update'
[1;34musage: [0m[1;35mahriman package-status-update[0m [[32m-h[0m] [[32m-s [33m{unknown,pending,building,failed,success}[0m] [32m[package ...][0m update package status on the status page

package
    set status for specified packages. If no packages supplied, service status will be updated

OPTIONS 'ahriman package-status-update'

-s {unknown,pending,building,failed,success}, --status {unknown,pending,building,failed,success}
    new package build status

COMMAND 'ahriman patch-add'
[1;34musage: [0m[1;35mahriman patch-add[0m [[32m-h[0m] [32mpackage[0m [32mvariable[0m [32m[patch][0m create or update patched PKGBUILD function or variable

package
    package base

variable
    PKGBUILD variable or function name. If variable is a function, it must end with ()

patch
    path to file which contains function or variable value. If not set, the value will be read from stdin

COMMAND 'ahriman patch-list'
[1;34musage: [0m[1;35mahriman patch-list[0m [[32m-h[0m] [[32m-e[0m] [[32m-v [33mVARIABLE[0m] [32mpackage[0m list available patches for the package

package
    package base

OPTIONS 'ahriman patch-list'

-e, --exit-code
    return non-zero exit status if result is empty

-v VARIABLE, --variable VARIABLE
    if set, show only patches for specified PKGBUILD variables

COMMAND 'ahriman patch-remove'
[1;34musage: [0m[1;35mahriman patch-remove[0m [[32m-h[0m] [[32m-v [33mVARIABLE[0m] [32mpackage[0m remove patches for the package

package
    package base

OPTIONS 'ahriman patch-remove'

-v VARIABLE, --variable VARIABLE
    should be used for single-function patches in case if you wold like to remove only specified PKGBUILD variables. In case if not set, it will remove all patches related to the package

COMMAND 'ahriman patch-set-add'
[1;34musage: [0m[1;35mahriman patch-set-add[0m [[32m-h[0m] [[32m-t [33mTRACK[0m] [32mpackage[0m create or update source patches

package
    path to directory with changed files for patch addition/update

OPTIONS 'ahriman patch-set-add'

-t TRACK, --track TRACK
    files which has to be tracked

COMMAND 'ahriman repo-backup'
[1;34musage: [0m[1;35mahriman repo-backup[0m [[32m-h[0m] [32mpath[0m backup repository settings and database

path
    path of the output archive

COMMAND 'ahriman repo-check'
[1;34musage: [0m[1;35mahriman repo-check[0m [[32m-h[0m] [[36m--changes | --no-changes[0m] [[36m--check-files | --no-check-files[0m] [[32m-e[0m] [[36m--vcs | --no-vcs[0m]
                        [[32m-y[0m]
                        [32m[package ...][0m check for packages updates. Same as repo-update --dry-run --no-manual

package
    filter check by package base

OPTIONS 'ahriman repo-check'

--changes, --no-changes
    calculate changes from the latest known commit if available

--check-files, --no-check-files
    enable or disable checking of broken dependencies (e.g. dynamically linked libraries or modules directories)

-e, --exit-code
    return non-zero exit status if result is empty

--vcs, --no-vcs
    fetch actual version of VCS packages

-y, --refresh
    download fresh package databases from the mirror before actions, -yy to force refresh even if up to date

COMMAND 'ahriman repo-create-keyring'
[1;34musage: [0m[1;35mahriman repo-create-keyring[0m [[32m-h[0m] create package which contains list of trusted keys as set by configuration. Note, that this action will only create package, the package itself has to be built manually

COMMAND 'ahriman repo-create-mirrorlist'
[1;34musage: [0m[1;35mahriman repo-create-mirrorlist[0m [[32m-h[0m] create package which contains list of available mirrors as set by configuration. Note, that this action will only create package, the package itself has to be built manually

COMMAND 'ahriman repo-daemon'
[1;34musage: [0m[1;35mahriman repo-daemon[0m [[32m-h[0m] [[32m-i [33mINTERVAL[0m] [[36m--aur | --no-aur[0m] [[36m--changes | --no-changes[0m]
                        [[36m--check-files | --no-check-files[0m] [[36m--dependencies | --no-dependencies[0m] [[36m--dry-run[0m]
                        [[36m--increment | --no-increment[0m] [[36m--local | --no-local[0m] [[36m--manual | --no-manual[0m]
                        [[36m--partitions | --no-partitions[0m] [[32m-u [33mUSERNAME[0m] [[36m--vcs | --no-vcs[0m] [[32m-y[0m] start process which periodically will run update process

OPTIONS 'ahriman repo-daemon'

-i INTERVAL, --interval INTERVAL
    interval between runs in seconds

--aur, --no-aur
    enable or disable checking for AUR updates

--changes, --no-changes
    calculate changes from the latest known commit if available. Only applicable in dry run mode

--check-files, --no-check-files
    enable or disable checking of broken dependencies (e.g. dynamically linked libraries or modules directories)

--dependencies, --no-dependencies
    process missing package dependencies

--dry-run
    just perform check for updates, same as check command

--increment, --no-increment
    increment package release (pkgrel) on duplicate

--local, --no-local
    enable or disable checking of local packages for updates

--manual, --no-manual
    include or exclude manual updates

--partitions, --no-partitions
    instead of updating whole repository, split updates into chunks

-u USERNAME, --username USERNAME
    build as user

--vcs, --no-vcs
    fetch actual version of VCS packages

-y, --refresh
    download fresh package databases from the mirror before actions, -yy to force refresh even if up to date

COMMAND 'ahriman repo-rebuild'
[1;34musage: [0m[1;35mahriman repo-rebuild[0m [[32m-h[0m] [[36m--depends-on [33mDEPENDS_ON[0m] [[36m--dry-run[0m] [[36m--from-database[0m] [[36m--increment | --no-increment[0m]
                        [[32m-e[0m] [[32m-s [33m{unknown,pending,building,failed,success}[0m] [[32m-u [33mUSERNAME[0m] force rebuild whole repository

OPTIONS 'ahriman repo-rebuild'

--depends-on DEPENDS_ON
    only rebuild packages that depend on specified packages

--dry-run
    just perform check for packages without rebuild process itself

--from-database
    read packages from database instead of filesystem. This feature in particular is required in case if you would like to restore repository from another repository instance. Note, however, that in order to restore packages you need to have original ahriman instance run with web service and have run repo-update at least once.

--increment, --no-increment
    increment package release (pkgrel) on duplicate

-e, --exit-code
    return non-zero exit status if result is empty

-s {unknown,pending,building,failed,success}, --status {unknown,pending,building,failed,success}
    filter packages by status. Requires --from-database to be set

-u USERNAME, --username USERNAME
    build as user

COMMAND 'ahriman repo-remove-unknown'
[1;34musage: [0m[1;35mahriman repo-remove-unknown[0m [[32m-h[0m] [[36m--dry-run[0m] remove packages which are missing in AUR and do not have local PKGBUILDs

OPTIONS 'ahriman repo-remove-unknown'

--dry-run
    just perform check for packages without removal

COMMAND 'ahriman repo-report'
[1;34musage: [0m[1;35mahriman repo-report[0m [[32m-h[0m] generate repository report according to current settings

COMMAND 'ahriman repo-restore'
[1;34musage: [0m[1;35mahriman repo-restore[0m [[32m-h[0m] [[32m-o [33mOUTPUT[0m] [32mpath[0m restore settings and database

path
    path of the input archive

OPTIONS 'ahriman repo-restore'

-o OUTPUT, --output OUTPUT
    root path of the extracted files

COMMAND 'ahriman repo-sign'
[1;34musage: [0m[1;35mahriman repo-sign[0m [[32m-h[0m] [32m[package ...][0m (re-)sign packages and repository database according to current settings

package
    sign only specified packages

COMMAND 'ahriman repo-statistics'
[1;34musage: [0m[1;35mahriman repo-statistics[0m [[32m-h[0m] [[36m--chart [33mCHART[0m]
                        [[32m-e [33m{package-outdated,package-removed,package-update-failed,package-updated}[0m]
                        [[36m--from-date [33mFROM_DATE[0m] [[36m--limit [33mLIMIT[0m] [[36m--offset [33mOFFSET[0m] [[36m--to-date [33mTO_DATE[0m]
                        [32m[package][0m fetch repository statistics

package
    fetch only events for the specified package

OPTIONS 'ahriman repo-statistics'

--chart CHART
    create updates chart and save it to the specified path

-e {package-outdated,package-removed,package-update-failed,package-updated}, --event {package-outdated,package-removed,package-update-failed,package-updated}
    event type filter

--from-date FROM_DATE
    only fetch events which are newer than the date

--limit LIMIT
    limit response by specified amount of events

--offset OFFSET
    skip specified amount of events

--to-date TO_DATE
    only fetch events which are older than the date

COMMAND 'ahriman repo-status-update'
[1;34musage: [0m[1;35mahriman repo-status-update[0m [[32m-h[0m] [[32m-s [33m{unknown,pending,building,failed,success}[0m] update repository status on the status page

OPTIONS 'ahriman repo-status-update'

-s {unknown,pending,building,failed,success}, --status {unknown,pending,building,failed,success}
    new status

COMMAND 'ahriman repo-sync'
[1;34musage: [0m[1;35mahriman repo-sync[0m [[32m-h[0m] sync repository files to remote server according to current settings

COMMAND 'ahriman repo-tree'
[1;34musage: [0m[1;35mahriman repo-tree[0m [[32m-h[0m] [[32m-p [33mPARTITIONS[0m] dump repository tree based on packages dependencies

OPTIONS 'ahriman repo-tree'

-p PARTITIONS, --partitions PARTITIONS
    also divide packages by independent partitions

COMMAND 'ahriman repo-triggers'
[1;34musage: [0m[1;35mahriman repo-triggers[0m [[32m-h[0m] [32m[trigger ...][0m run triggers on empty build result as configured by settings

trigger
    instead of running all triggers as set by configuration, just process specified ones in order of mention

COMMAND 'ahriman repo-update'
[1;34musage: [0m[1;35mahriman repo-update[0m [[32m-h[0m] [[36m--aur | --no-aur[0m] [[36m--changes | --no-changes[0m] [[36m--check-files | --no-check-files[0m]
                        [[36m--dependencies | --no-dependencies[0m] [[36m--dry-run[0m] [[32m-e[0m] [[36m--increment | --no-increment[0m]
                        [[36m--local | --no-local[0m] [[36m--manual | --no-manual[0m] [[32m-u [33mUSERNAME[0m] [[36m--vcs | --no-vcs[0m] [[32m-y[0m]
                        [32m[package ...][0m check for packages updates and run build process if requested

package
    filter check by package base

OPTIONS 'ahriman repo-update'

--aur, --no-aur
    enable or disable checking for AUR updates

--changes, --no-changes
    calculate changes from the latest known commit if available. Only applicable in dry run mode

--check-files, --no-check-files
    enable or disable checking of broken dependencies (e.g. dynamically linked libraries or modules directories)

--dependencies, --no-dependencies
    process missing package dependencies

--dry-run
    just perform check for updates, same as check command

-e, --exit-code
    return non-zero exit status if result is empty

--increment, --no-increment
    increment package release (pkgrel) on duplicate

--local, --no-local
    enable or disable checking of local packages for updates

--manual, --no-manual
    include or exclude manual updates

-u USERNAME, --username USERNAME
    build as user

--vcs, --no-vcs
    fetch actual version of VCS packages

-y, --refresh
    download fresh package databases from the mirror before actions, -yy to force refresh even if up to date

COMMAND 'ahriman service-clean'
[1;34musage: [0m[1;35mahriman service-clean[0m [[32m-h[0m] [[36m--cache | --no-cache[0m] [[36m--chroot | --no-chroot[0m] [[36m--manual | --no-manual[0m]
                        [[36m--packages | --no-packages[0m] [[36m--pacman | --no-pacman[0m] remove local caches

OPTIONS 'ahriman service-clean'

--cache, --no-cache
    clear directory with package caches

--chroot, --no-chroot
    clear build chroot

--manual, --no-manual
    clear manually added packages queue

--packages, --no-packages
    clear directory with built packages

--pacman, --no-pacman
    clear directory with pacman local database cache

COMMAND 'ahriman service-config'
[1;34musage: [0m[1;35mahriman service-config[0m [[32m-h[0m] [[36m--info | --no-info[0m] [[36m--secure | --no-secure[0m] [32m[section][0m [32m[key][0m dump configuration for the specified architecture

section
    filter settings by section

key filter settings by key

OPTIONS 'ahriman service-config'

--info, --no-info
    show additional information, e.g. configuration files

--secure, --no-secure
    hide passwords and secrets from output

COMMAND 'ahriman service-config-validate'
[1;34musage: [0m[1;35mahriman service-config-validate[0m [[32m-h[0m] [[32m-e[0m] validate configuration and print found errors

OPTIONS 'ahriman service-config-validate'

-e, --exit-code
    return non-zero exit status if configuration is invalid

COMMAND 'ahriman service-key-import'
[1;34musage: [0m[1;35mahriman service-key-import[0m [[32m-h[0m] [[36m--key-server [33mKEY_SERVER[0m] [32mkey[0m import PGP key from public sources to the repository user

key PGP key to import from public server

OPTIONS 'ahriman service-key-import'

--key-server KEY_SERVER
    key server for key import

COMMAND 'ahriman service-repositories'
[1;34musage: [0m[1;35mahriman service-repositories[0m [[32m-h[0m] [[36m--id-only | --no-id-only[0m] list all available repositories

OPTIONS 'ahriman service-repositories'

--id-only, --no-id-only
    show machine readable identifier instead

COMMAND 'ahriman service-run'
[1;34musage: [0m[1;35mahriman service-run[0m [[32m-h[0m] [32mcommand [command ...][0m run multiple commands on success run of the previous command

command
    command to be run (quoted) without ``ahriman``

COMMAND 'ahriman service-setup'
[1;34musage: [0m[1;35mahriman service-setup[0m [[32m-h[0m] [[36m--build-as-user [33mBUILD_AS_USER[0m] [[36m--from-configuration [33mFROM_CONFIGURATION[0m]
                        [[36m--generate-salt | --no-generate-salt[0m] [[36m--makeflags-jobs | --no-makeflags-jobs[0m]
                        [[36m--mirror [33mMIRROR[0m] [[36m--multilib | --no-multilib[0m] [36m--packager [33mPACKAGER[0m [[36m--server [33mSERVER[0m]
                        [[36m--sign-key [33mSIGN_KEY[0m] [[36m--sign-target [33m{disabled,packages,repository}[0m] [[36m--web-port [33mWEB_PORT[0m]
                        [[36m--web-unix-socket [33mWEB_UNIX_SOCKET[0m] create initial service configuration, requires root

OPTIONS 'ahriman service-setup'

--build-as-user BUILD_AS_USER
    force makepkg user to the specific one

--from-configuration FROM_CONFIGURATION
    path to default devtools pacman configuration

--generate-salt, --no-generate-salt
    generate salt for user passwords

--makeflags-jobs, --no-makeflags-jobs
    append MAKEFLAGS variable with parallelism set to number of cores

--mirror MIRROR
    use the specified explicitly mirror instead of including mirrorlist

--multilib, --no-multilib
    add or do not multilib repository

--packager PACKAGER
    packager name and email

--server SERVER
    server to be used for devtools. If none set, local files will be used

--sign-key SIGN_KEY
    sign key id

--sign-target {disabled,packages,repository}
    sign options

--web-port WEB_PORT
    port of the web service

--web-unix-socket WEB_UNIX_SOCKET
    path to unix socket used for interprocess communications

COMMAND 'ahriman service-shell'
[1;34musage: [0m[1;35mahriman service-shell[0m [[32m-h[0m] [[32m-o [33mOUTPUT[0m] [32m[code][0m drop into python shell

code
    instead of dropping into shell, just execute the specified code

OPTIONS 'ahriman service-shell'

-o OUTPUT, --output OUTPUT
    output commands and result to the file

COMMAND 'ahriman service-tree-migrate'
[1;34musage: [0m[1;35mahriman service-tree-migrate[0m [[32m-h[0m] migrate repository tree between versions

COMMAND 'ahriman user-add'
[1;34musage: [0m[1;35mahriman user-add[0m [[32m-h[0m] [[36m--key [33mKEY[0m] [[36m--packager [33mPACKAGER[0m] [[32m-p [33mPASSWORD[0m] [[32m-R [33m{unauthorized,read,reporter,full}[0m]
                        [32musername[0m update user for web services with the given password and role. In case if password was not entered it will be asked interactively

username
    username for web service

OPTIONS 'ahriman user-add'

--key KEY
    optional PGP key used by this user. The private key must be imported

--packager PACKAGER
    optional packager id used for build process in form of `Name Surname <mail@example.com>`

-p PASSWORD, --password PASSWORD
    user password. Blank password will be treated as empty password, which is in particular must be used for OAuth2 authorization type.

-R {unauthorized,read,reporter,full}, --role {unauthorized,read,reporter,full}
    user access level

COMMAND 'ahriman user-list'
[1;34musage: [0m[1;35mahriman user-list[0m [[32m-h[0m] [[32m-e[0m] [[32m-R [33m{unauthorized,read,reporter,full}[0m] [32m[username][0m list users from the user mapping and their roles

username
    filter users by username

OPTIONS 'ahriman user-list'

-e, --exit-code
    return non-zero exit status if result is empty

-R {unauthorized,read,reporter,full}, --role {unauthorized,read,reporter,full}
    filter users by role

COMMAND 'ahriman user-remove'
[1;34musage: [0m[1;35mahriman user-remove[0m [[32m-h[0m] [32musername[0m remove user from the user mapping and update the configuration

username
    username for web service

COMMAND 'ahriman web'
[1;34musage: [0m[1;35mahriman web[0m [[32m-h[0m] start web server

COMMAND 'ahriman web-reload'
[1;34musage: [0m[1;35mahriman web-reload[0m [[32m-h[0m] reload web server configuration

COMMENTS
Quick setup command (replace repository name, architecture and packager as needed): >>> ahriman -a x86_64 -r aur service-setup --packager "ahriman bot <ahriman@example.com>" Add new package from AUR: >>> ahriman package-add ahriman --now Check for updates and build out-of-dated packages (add ``--dry-run`` to build it later): >>> ahriman repo-update Remove package from the repository: >>> ahriman package-remove ahriman Start web service (requires additional configuration): >>> ahriman web

AUTHOR
ahriman team

DISTRIBUTION
The latest version of ahriman may be downloaded from https://github.com/arcan1s/ahriman